<?php
/**
 * Created by JetBrains PhpStorm.
 * User: andrew
 * Date: 11/1/12
 * Time: 3:22 PM
 * To change this template use File | Settings | File Templates.
 */
class MigrationAutoincrement
{
    public static function add($table, $column)
    {
        if (Yii::app()->db->driverName == 'oci') {
            $table = Yii::app()->db->getSchema()->getTable($table, true);
            $sequenceName = $table->name . '_' . substr($column, 0, 3) . '_s';
            $triggerName = $sequenceName . '_t';

            $sql = <<<EOD
create sequence $sequenceName
start with 1
increment by 1
nomaxvalue
EOD;
            Yii::app()->db->createCommand($sql)->execute();

            $sql = <<<EOD
create trigger $triggerName
before insert on "{$table->name}" for each row
begin
select $sequenceName.nextval into :new."$column" from dual;
end;
EOD;
            Yii::app()->db->createCommand($sql)->execute();
        }


    }

    public static function remove($table, $column)
    {
        if (Yii::app()->db->driverName == 'oci') {
            $table = Yii::app()->db->getSchema()->getTable($table, true);
            $sequenceName = $table->name . '_' . substr($column, 0, 3) . '_s';
            $triggerName = $sequenceName . '_t';

            $sql = "drop trigger $triggerName";
            Yii::app()->db->createCommand($sql)->execute();

            $sql = "drop sequence $sequenceName";
            Yii::app()->db->createCommand($sql)->execute();
        }
    }

}
