<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */
class CommentsAmountWidget extends BaseWidget
{
    public $contentId;
    private $_commentsAmount;

    /**
     * widget initial function
     *
     * @return array
     */
    public function init()
    {
        parent::init();
        if (!is_array($this->contentId)) {
            $this->contentId = array($this->contentId);
        }
    }

    /**
     * called when widget runs
     *
     * @return void
     */
    public function run()
    {
    }

    /**
     * Calculates comment amount
     *
     * @return array
     */
    public function getCommentsAmount()
    {
        if ($this->_commentsAmount === null) {
            $dependency = new CExpressionDependency(
                'Yii::app()->db->createCommand()->select("id, status")->from(Comment::model()->tableName())->where(array("in", "content_id", ' . var_export($this->contentId, true) . '))->queryAll()'
            );
            $result = Yii::app()->db->cache(Yii::app()->getModule('comments')->cacheTime, $dependency)
                ->createCommand()
                ->select('content_id, count(*) as count')
                ->from(Comment::model()->tableName())
                ->where(array('and', 'status=' . Comment::APPROVED, array('in', 'content_id', $this->contentId)))
                ->group('content_id')
                ->queryAll();

            $this->_commentsAmount = array();
            foreach ($result as $r) {
                $this->_commentsAmount[$r['content_id']] = $r['count'];
            }
        }
        return $this->_commentsAmount;
    }

    /**
     * Declares the validation rules.
     *
     * @param string $contentId defines contentId
     *
     * @return void
     */
    public function forContent($contentId)
    {
        $amount = isset($this->commentsAmount[$contentId]) ? $this->commentsAmount[$contentId] : 0;
        $this->render('CommentsAmountWidget', array('amount' => $amount));
    }

}
