<?php
class FGFormWidgetHelper
{
		protected static $sessionErrorsKey = 'fg-form-errors';
	
	protected static function initErrorsStack()
	{
		if(!isset(Yii::app()->session[self::$sessionErrorsKey]) || !is_array(Yii::app()->session[self::$sessionErrorsKey])) {
			Yii::app()->session[self::$sessionErrorsKey] = array();
		}
		return Yii::app()->session[self::$sessionErrorsKey];
	}
		
    public static function setErrors($form_id, $errors)
	{
		self::initErrorsStack();
		$errorsStack = Yii::app()->session[self::$sessionErrorsKey];
		$errorsStack[$form_id] = $errors;
		Yii::app()->session[self::$sessionErrorsKey] = $errorsStack;
	}
	
	public static function getErrors($form_id)
	{
		$errors = self::initErrorsStack();
		if(isset($errors[$form_id])) {
			return $errors[$form_id];
		}
		return false;
	}
	
	public static function clearErrors($form_id)
	{
		$stack = Yii::app()->session[self::$sessionErrorsKey];
		unset($stack[$form_id]);
		Yii::app()->session[self::$sessionErrorsKey] = $stack;
	}
}