<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * This is the model class for table "{{imagetracker_tags}}".
 *
 * The followings are the available columns in table '{{imagetracker_tags}}':
 * @property integer $id
 * @property integer $image_id
 * @property integer $tag_id
 * @property integer $page_id
 * @property integer $user_id
 * @property integer $coord_x
 * @property integer $coord_y
 * @property integer $manual_width
 * @property integer $tagged_by
 * @property timestamp $createtime
 */

class ImageTrackerTag extends CActiveRecord
{
    /**
     * Returns the static model of the specified AR class.
     *
     * @param string $className active record class name
     *
     * @return array|CActiveRecord
     */
    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    /**
     * Returns the name of the associated database table.
     * By default this method returns the class name as the table name.
     * You may override this method if the table is not named after this convention.
     *
     * @return string the table name
     */
    public function tableName()
    {
        return '{{imagetracker_tags}}';
    }

    public function relations()
    {
        return array(
            'profile' => array(self::BELONGS_TO, 'Profile', 'user_id'),
            'user' => array(self::BELONGS_TO, 'User', 'user_id')
        );
    }

}