<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * Widget for view item
 */
class ItemWidget extends BaseJuiWidget
{
    /**
     * @var integer the id of item
     */
    public $item_id;
    /**
     * @var string the title of item
     */
    public $title;
    /**
     * @var float the price of item
     */
    public $price;
    /**
     * @var string the email address of responsible admin
     */
    public $admin_email;
    /**
     * @var int the id of page where the item is located
     */
    public $page_id;
    /**
     * @var string the name of css class of item container
     */
    public $class;
    /**
     * @var int the value to be used as default quantity
     */
    public $default_quantity = 1;
    /**
     * @var string link to the checkout page to redirect to shoppingcart page
     */
    public $shoppingcart_link = false;
    /**
     * @var string link to the item page
     */
    public $item_referrer = false;
    /**
     * Override base init. For skipping scripts and css init.
     *
     * @return void
     */
    public function init()
    {

    }
    /**
     * Render ItemWidget view
     *
     * @return void
     */
    public function run()
    {
        $model=new Item;

        $titleVisible = $this->title;
        $priceVisible = $this->price;

        $model->title = EncryptHelper::encrypt($this->title);
        $model->quantity = $this->default_quantity;
        $model->price = EncryptHelper::encrypt($this->price);
        $model->admin_email = EncryptHelper::encrypt($this->admin_email);
        $model->item_id = EncryptHelper::encrypt($this->item_id);
        $model->page_id = EncryptHelper::encrypt($this->page_id);
        $model->item_referrer = $this->item_referrer;

        $checksum = $model->getItemChecksum(true);
        $this->render('ItemWidget', array('model'=>$model, 'titleVisible'=>$titleVisible,'priceVisible'=>$priceVisible, 'checksum'=>$checksum));
    }
}
