

<?php
/**
 *
 */
?>
<div class="user-login-widget">
    <?php if ($messageErr = Yii::app()->user->getFlash(Yii::app()->getModule('user')->userLoginWidgetFlashError)) { ?>
    <div class="error">
        <?php echo $messageErr?>
    </div>
    <?php } ?>

    <?php if ($messageOk = Yii::app()->user->getFlash(Yii::app()->getModule('user')->userLoginWidgetFlashSuccess)) { ?>
    <div class="success">
        <?php echo $messageOk?>
    </div>
    <?php }?>

    <div class="user-login-widget-form">
        <a name="UserLoginWidget"></a>
        <?php $form = $this->beginWidget('CActiveForm', array(
            'id' => 'login-form',
            'method' => 'post',
            'action' => Yii::app()->createUrl('/user/login/standard', array('return_url' => Yii::app()->request->getParam('return_url', Yii::app()->request->getRequestUri() . '#UserLoginWidget'))),
            'enableAjaxValidation' => true,
            'clientOptions' => array(
                'validateOnSubmit' => Yii::app()->getModule('user')->loginAjax,
            ),
            'htmlOptions' => array (
                'class' => 'menu-sign-in'
                //'data-validate' => 'parsley'
            )
        )
    );?>
        <?php //echo $form->errorSummary($model); ?>
<!--
        <div class="row">
            <?php //echo $form->labelEx($model, 'service'); ?>
            <?php
            // echo $form->dropDownList($model, 'service', $this->services, array('id' => 'service'));
            //echo $form->textField($model, 'service', array('id' => 'service'));
            ?>
            <?php //echo $form->error($model, 'service'); ?>
        </div>
-->
        <?php echo $form->hiddenField($model,'service',array ('value' => 'standard')); ?>
        <fieldset>
        <div class="form-group">
            <?php echo $form->labelEx($model, 'authField'); ?>
            <?php echo $form->textField($model, 'authField', array('class' => 'form-control email non-oauth-input','placeholder' => UserModule::t('Enter email'))); ?>
            <?php echo $form->error($model, 'authField'); ?>
        </div>

        <div class="form-group <?php echo $model->hasErrors('password') ? 'error' : ''?>">
            <?php echo $form->labelEx($model, 'password'); ?>
            <?php echo $form->passwordField($model, 'password', array('class' => 'form-control password non-oauth-input','placeholder' => UserModule::t('Enter password'))); ?>
            <?php echo $form->error($model, 'password', array(), false, false); ?>
        </div>
            
        <div class="form-group">
            <?php echo CHtml::submitButton(UserModule::t('Sign In'),array('class' => 'btn btn-primary btn-block-half')); ?>
            <?php echo CHtml::button(UserModule::t('Cancel'), array('class' => 'btn btn-block-half','type' => 'reset')) ?>
        </div>
<!--
        <div class="row email-service">
            <?php //echo $form->labelEx($model, 'rememberMe'); ?>
            <?php //echo $form->checkBox($model, 'rememberMe') ?>
            <?php //echo $form->error($model, 'rememberMe'); ?>
        </div>
-->
        </fieldset>
        <?php if ($this->isUseStandard()): ?>
          <?php echo CHtml::link(UserModule::t('Forgotten your password?'), Yii::app()->createUrl($this->recoveryUrl),array('class' => '')); ?>
        <?php endif?>
        <span class="help-block help-block-conjunction"><?php UserModule::t('Sign in with'); ?></span>
        
        <div class="form-group form-group-last">
            <?php echo CHtml::htmlButton('<span class="ir ir-facebook ir-theme-light"></span>'.UserModule::t('Sign In Facebook'),array('class' => 'btn btn-block-half btn-icon btn-facebook')); ?>
            <?php echo CHtml::htmlButton('<span class="ir ir-twitter ir-theme-light"></span>'.UserModule::t('Sign In Twitter'),array('class' => 'btn btn-block-half btn-icon btn-twitter')); ?>
       </div>
        
        <?php echo CHtml::hiddenField('return_to_here', '1'); ?>

        <?php $this->endWidget() ?>
    </div>

    <script type="text/javascript">
        $(function(){    

            $('#service').change(function () {
                var serviceTypes = <?php echo CJSON::encode($this->serviceTypes)?>;
                var standardLoginUrl = '<?php echo Yii::app()->createUrl('/user/login/standard')?>';
                var tpaLoginUrl = '<?php echo Yii::app()->createUrl('/user/login/tpa')?>';
                if (serviceTypes[$(this).val()] != 'standard') {
                    $('.email-service').hide();
                    $('.non-oauth-input').attr('disabled', 'disabled');
                    $('#login-form').attr('action', tpaLoginUrl);
                    $('#login-form').attr('method', 'get');
                    $.fn.yiiactiveform.getSettings($('#login-form')).validationUrl = tpaLoginUrl;
                } else {
                    $('.email-service').show();
                    $('.non-oauth-input').removeAttr('disabled');
                    $('#login-form').attr('action', standardLoginUrl);
                    $('#login-form').data('settings').validationUrl = standardLoginUrl;
                    $('#login-form').attr('method', 'post');
                }
            });
            setTimeout(function(){$('#service').change()}, 500);
        });
        $(document).ready(function() {
           var errorCheck = false;
           <?php 
           $errsum = CHtml::errorSummary($model);
           if ($errsum != '' || $messageErr != '') {
                echo 'errorCheck = true;';
           }
           ?>
           if(errorCheck) {
             $('#signin').addClass('open');
           }
           
           $(".btn-facebook").click(function() {
               var tpaLoginUrl = '<?php echo Yii::app()->createUrl('/user/login/tpa')?>';
               $('.email-service').hide();
               $('.non-oauth-input').attr('disabled', 'disabled');
               $('#login-form').attr('action', tpaLoginUrl);
               $('#login-form').attr('method', 'get');
               $('#UserLogin_service').val('facebook');
               $.fn.yiiactiveform.getSettings($('#login-form')).validationUrl = tpaLoginUrl;
               $('#login-form').submit();
           });
           $(".btn-twitter").click(function() {
               var tpaLoginUrl = '<?php echo Yii::app()->createUrl('/user/login/tpa')?>';
               $('.email-service').hide();
               $('.non-oauth-input').attr('disabled', 'disabled');
               $('#login-form').attr('action', tpaLoginUrl);
               $('#login-form').attr('method', 'get');
               $('#UserLogin_service').val('twitter');
               $.fn.yiiactiveform.getSettings($('#login-form')).validationUrl = tpaLoginUrl;
               $('#login-form').submit();
           });
        });
    </script>
<style>
.btn-facebook, .btn-facebook:hover{
  background:url(/Content.Node/img/icons/facebook_signin.png) no-repeat;
  cursor:pointer;
  width: 160px;
  border: none;
}
.btn-twitter, .btn-twitter:hover {
  background:url(/Content.Node/img/icons/twitter_signin.png) no-repeat;
  cursor:pointer;
  width: 160px;
  border: none;
}
</style>
<script>
$(document).ready(function(){
  $('.btn-facebook').html('');
  $('.btn-twitter').html('');
});
</script>
</div>

